package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TsActivityDaily;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.excel.ActivityDailyExport;

import java.util.List;

/**
 * <p>
 * 活动统计  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-04-20
 */
public interface ITsActivityDailyService extends IService<TsActivityDaily> {

    List<TsActivityDaily> getActivityDetail(Integer orgId, String startDate, String endDate, String buildingId, String targetType, String targetId, String targetName, String asc, String desc);

    List<ActivityDailyExport> getActivityExport(Integer orgId, String startDate, String endDate, String buildingId, String targetType, String targetId);
}
